Subject: Re: [PATCH] net: add sparse annotation to ptype_seq_start/stop

From: "Paul E. McKenney" <[email-masked]>
Date: Sun, 20 Jan 2008 22:01:19 -0800

On Mon, Jan 21, 2008 at 05:28:31AM +0000, Al Viro wrote:
> On Sun, Jan 20, 2008 at 09:03:55PM -0800, Paul E. McKenney wrote:
> > On Sun, Jan 20, 2008 at 03:21:46PM -0800, Stephen Hemminger wrote:
> > > Get rid of some more sparse warnings.
> > > 
> > > Signed-off-by: Stephen Hemminger <[email-masked]>
> > 
> > Adding Josh to CC -- is __acquires() case-insensitive?  If not, this
> > needs to be __acquires(RCU) and __releases(RCU).
> 
> __acquires(whatever_the_helk_you_put_as_its_argument) is all the same.

The existing calls are __acquires(RCU) and __releases(RCU).  I suppose
that one -could- use __acquires(RCU) in some places and __acquires(rcu)
in others, but that sounds like it would eventually bite us...

							Thanx, Paul